---
Title: Workflow management
Author: Jutta, Tamas
status: dump
---

The simulation and raw data processing chains consist of workflows that are
executed on heterogeneous clusters of computers. The harmonisation of workflow
interfaces is one of the bigger challenges due to the large variety of software
being used in individual processing steps. The benefits of a standardised
interface lie in clarity and simplified maintenance. The Common Workflow
Language (CWL) is currently being evaluated as an abstraction layer to describe
analysis workflows and tools. It provides scalability and portability across
many different software and hardware environments.

The second layer of workflow management targets the distributed processing of
data over heterogeneous computing infrastructures. For this purpose, the DIRAC
(http://diracgrid.org/) interware has been chosen which provides a common
interface to a multitude of resource provides like grids, cloud systems and
clusters of computers, in a seamless manner, offering great interoperability.
DIRAC will be used to set up a data driven processing infrastructure for all
stages in the pipelines including the mangling of raw data and Monte Carlo
simulations.

The combination of CWL and DIRAC leaves TODO
